//global variables:
var loadedVideos =0;
var allmovies = null;
var tempmovies = [];

var tempscrollposition = null;


$(document).ready(function() {
  $.post('php/db/getmoviefromdb.php','action=all',function(data){
    //console.log(data);
    allmovies = data;
    tempmovies = allmovies.data;

    loadNewPreviews(20);
  },'json');

  $(window).scroll(function() {
   if($(window).scrollTop() + $(window).height() == $(document).height()) {
       loadNewPreviews(10);
      console.log("loadnew");
   }
 });

 $('.moviespace-backbutton').click(function() {
   $('#moviespace').hide();
   $('.moviespace-videospace').html("");
   $('.movielist').show();
   $(window).scrollTop(tempscrollposition);
 });

 $("#moviesearch-form").submit(false);

 $("#moviesearch").change(function(event) {
   console.log("change...");
   search();

 });

 $('#moviesearch-button').click(function(event) {
   search();
 });

 $('.btnloadmore').click(function() {
   loadNewPreviews(10);
 });
});

function search() {
  $(".movielist").html("");
  tempmovies = [];
  loadedVideos = 0;
  for (var i in allmovies.data) {
    if(allmovies.data[i].name.toUpperCase().includes($("#moviesearch").val().toUpperCase())){
      tempmovies.push(allmovies.data[i]);
    }
  }
  console.log(tempmovies.length);
  if(tempmovies.length < 15){
    loadNewPreviews(tempmovies.length);
  }else{
    loadNewPreviews(15);
  }

}

function loadNewPreviews(number) {
  for (var i = 0; i < number; i++) {
    if (loadedVideos < tempmovies.length) { //maybe TODO
      loadMoviePreview(tempmovies[loadedVideos]);

      loadedVideos++;
    }
  }
}

function loadMoviePreview(data) {
  var preview = $("<div class='movietile'><div class='movietile-thumbnail'><img style='max-width: 100%;max-height:100%;border-radius: 25px;' src='rsc/thumbnails/"+data.thumbnail+"'></img></div><div class='movietile-text'>"+data.name+"</div></div>");
  $(".movielist").append(preview);
  preview.click(function(event) {
    tempscrollposition = $(window).scrollTop();
    $('.movielist').hide();
    var thisvideo = tempmovies[$(this).index()];
    $('#moviespace').show();
    $('.moviespace-videospace').html("<video id='moviespace-video' controls><source src='../Filme/"+thisvideo.url+"'></video>");
    $('.moviespace-heading').html(thisvideo.name);
    $.post('rsc/moviedatajson/'+thisvideo.name+'.json','',function(data){
      console.log(data);
      $('.moviespace-infospace').html(data.overview);
    },'json');


  });
}
